Subject: bug#44983: Truncate long lines of grep output

From: Dmitry Gutov <[email-masked]>
Date: Fri, 29 Apr 2022 19:02:19 +0300

On 29.04.2022 14:39, Lars Ingebrigtsen wrote:
> Juri Linkov<[email-masked]>  writes:
> 
>> Maybe instead of using font-lock to hide long parts
>> of grep lines, it would be better to do the same
>> directly in compilation-filter/grep-filter?
> I now have a rough patch that does this, but the problem is that even if
> I splat a "..." display over the text, font-lock seems to insist on
> going over the data anyway, so the display is still dog slow.
> 
> I thought I remembered there was a way to say to font-lock "ignore this
> bit of the buffer", but I can't find it now.  Do I misremember?

FWIW, this is more or less solved for Xref output buffers these days. 
And the solution is based on the 'invisible' property.

See bug#46859.